In this article:
Update an Track
Updates an existing Track in the asset
PATCH https://{{api-endpoint}}/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/assets/{assetName}/tracks/{trackName}?api-version={{api-version}}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
accountName |
path | True | string | The Media Services account name. |
assetName |
path | True | string | The Asset name. |
resourceGroupName |
path | True | string | The name of the resource group within the Azure subscription. |
subscriptionId |
path | True | string | The unique identifier for a Microsoft Azure subscription. |
trackName |
path | True | string | The Asset Track name. |
api-version |
query | True | string | The version of the API to be used with the client request. |
Request Body
| Name | Type | Description |
|---|---|---|
| properties.track | TrackBase: TextTrack |
Detailed information about a track in the asset. |
Responses
| Name | Type | Description |
|---|---|---|
| 202 Accepted | AssetTrack |
Accepted Headers Retry-After: integer |
| Other Status Codes | ErrorResponse | Detailed error information. |
Examples
Update a Track
| Technology | Sample request |
|---|---|
| HTTP |
|
| Java |
|
| Python |
To use the SDK library in your project, see this documentation. |
| JavaScript |
To use the SDK library in your project, see this documentation. |
| .NET |
To use the SDK library in your project, see this documentation. |
Sample response
Status code: 202
HTTP
azure-asyncoperation: https://{{api-endpoint}}/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Media/resourceGroups/contosorg/providers/Microsoft.Media/mediaServices/contosomedia/assets/ClimbingMountRainer/tracks/text3/operationStatuses/62e4d893-d233-4005-988e-a428d9f77076?api-version={{api-version}}
location: https://{{api-endpoint}}/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Media/resourceGroups/contosorg/providers/Microsoft.Media/mediaServices/contosomedia/assets/ClimbingMountRainer/tracks/text3/operationResults/62e4d893-d233-4005-988e-a428d9f77076?api-version={{api-version}}JSON
{
"name": "text1",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaservices/contosomedia/assets/ClimbingMountRainer/tracks/text1",
"type": "Microsoft.Media/mediaservices/assets/tracks",
"properties": {
"track": {
"@odata.type": "#Microsoft.Media.TextTrack",
"fileName": "auto_generated.ttml",
"displayName": "A new name",
"languageCode": "en-us",
"playerVisibility": "Visible"
},
"provisioningState": "InProgress"
}
}Definitions
| Name | Description |
|---|---|
| AssetTrack | An Asset Track resource. |
| ErrorAdditionalInfo | The resource management error additional info. |
| ErrorDetail | The error detail. |
| ErrorResponse | Error response. |
| HlsSettings | The HLS setting for a track. |
| Provisioning State | Provisioning state of the asset track. |
| TextTrack | Represents a text track in an asset. A text track is usually used for sparse data related to the audio or video tracks. |
| Visibility | When PlayerVisibility is set to "Visible", the text track will be present in the DASH manifest or HLS playlist when requested by a client. When the PlayerVisibility is set to "Hidden", the text will not be available to the client. The default value is "Visible". |
AssetTrack
| Name | Type | Description |
|---|---|---|
| id | string |
Fully qualified resource ID for the resource. Ex -
|
| name | string | The name of the resource. |
| properties.provisioningState | Provisioning state of the asset track. | |
| properties.track | TrackBase: TextTrack |
Detailed information about a track in the asset. |
| type | string | The type of the resource, e.g., "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts". |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info | object | The additional info. |
| type | string | The additional info type. |
ErrorDetail
| Name | Type | Description |
|---|---|---|
| additionalInfo | ErrorAdditionalInfo | The error additional info. |
| code | string | The error code. |
| details | ErrorDetail | The error details. |
| message | string | The error message. |
| target | string | The error target. |
ErrorResponse
| Name | Type | Description |
|---|---|---|
| error | ErrorDetail | The error object. |
HlsSettings
| Name | Type | Description |
|---|---|---|
| default | boolean | The default for the HLS setting. |
| characteristics | string |
Required for compatibility; any value accepted; no effect. The characteristics for the HLS setting. |
| forced | boolean |
Required for compatibility; any value accepted; no effect. The forced for the HLS setting. |
ProvisioningState
| Name | Type | Description |
|---|---|---|
| Failed | string | Provisioning state failed. |
| InProgress | string | Provisioning state in progress. |
| Succeeded | string | Provisioning state succeeded. |
TextTrack
Represents a text track in an asset. A text track is usually used for sparse data related to the audio or video tracks.
| Name | Type | Description |
|---|---|---|
| @odata.type |
string: #Microsoft.Media.TextTrack |
The discriminator for derived types. |
| displayName | string | The display name of the text track on a video player. In HLS, this maps to the NAME attribute of EXT-X-MEDIA. |
| fileName | string | The file name to the source file. This file is located in the storage container of the asset. This field is set at upload and cannot be modified on an existing track. |
| hlsSettings | HlsSettings | The HLS specific setting for the track. |
| languageCode | string | The RFC5646 language code for the track. |
| playerVisibility | Visibility | When PlayerVisibility is set to "Visible", the text track will be present in the DASH manifest or HLS playlist when requested by a client. When the PlayerVisibility is set to "Hidden", the text will not be available to the client. The default value is "Visible". |
Visibility
When PlayerVisibility is set to "Visible", the text track will be present in the DASH manifest or HLS playlist when requested by a client. When the PlayerVisibility is set to "Hidden", the text will not be available to the client. The default value is "Visible".
| Name | Type | Description |
|---|---|---|
| Hidden | string | The track is hidden to video player. |
| Visible | string | The track is visible to video player. |